Merge "Modify logs publisher"
[ci-management.git] / jjb / hc2vpp / include-raw-hc2vpp-csit-perf.sh
index 674d13b..bf46af5 100644 (file)
@@ -2,7 +2,7 @@
 set -xeu -o pipefail
 
 # Get CSIT branch
-if [ -f csit-test-branch ]; then
+if [[ -f csit-test-branch ]]; then
     chmod +x csit-test-branch
     CSIT_BRANCH=`./csit-test-branch`
 else
@@ -13,26 +13,22 @@ fi
 git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
 
 # If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
+if [[ $? != 0 ]]; then
     echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
-    exit
+    exit 1
 fi
 
 cd csit
 # execute csit bootstrap script if it exists
-if [ ! -e bootstrap-hc2vpp-perf.sh ]
+if [[ ! -e bootstrap-hc2vpp-perf.sh ]]
 then
-    echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+    echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
     exit 1
 else
     # make sure that bootstrap.sh is executable
     chmod +x bootstrap-hc2vpp-perf.sh
     # run the script
-    if [ ${STREAM} == 'master' ]; then
-        ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS} ${ODL}
-    else
-        ./bootstrap-hc2vpp-perf.sh 'stable.'${STREAM} ${OS} ${ODL}
-    fi
+    ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS} ${ODL}
 fi
 
 # vim: ts=4 ts=4 sts=4 et :